-- drop tables
DROP TABLE DOCPEDIGREE.FAILEDDOC;
DROP TABLE DOCPEDIGREE.PEDIGREEUUIDMAP;
DROP TABLE DOCPEDIGREE.DOCENVMAP;
DROP TABLE DOCPEDIGREE.ENVELOPETABLE;
DROP TABLE DOCPEDIGREE.EPEDIGREEDOC;
DROP TABLE DOCPEDIGREE.DOCUMENTTABLE;

DROP SCHEMA DOCPEDIGREE RESTRICT;

-- CREATE STATEMENTS

CREATE SCHEMA DOCPEDIGREE;

-- deploy the schema
-- if a tablespace is specified at the table level, then ${storage_opts} = IN tablespace_x

CREATE TABLE DOCPEDIGREE.DOCUMENTTABLE (
	DOCUMENTHANDLER VARCHAR(100) NOT NULL PRIMARY KEY,
	DOCUMENT CLOB(1G) NOT NULL,
	STATUS INTEGER NOT NULL,
	TYPE SMALLINT NOT NULL,
    STAGE VARCHAR(25) NOT NULL,
    GENTIME TIMESTAMP NOT NULL WITH DEFAULT CURRENT TIMESTAMP
	) ${storage_opts};

CREATE TABLE DOCPEDIGREE.EPEDIGREEDOC ( 
	ID INTEGER  NOT NULL  GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1, CACHE 25),
	ITEMSERIALNO VARCHAR(100) NOT NULL,
	TRANSACTIONID VARCHAR(100) NOT NULL,	
	LOT VARCHAR(100) NOT NULL, 
	PRODUCTCODE VARCHAR(100) NOT NULL,
	DOCUMENTHANDLER VARCHAR(100) NOT NULL REFERENCES DOCPEDIGREE.DOCUMENTTABLE ON DELETE CASCADE, 
	STATUS INTEGER NOT NULL 
	) ${storage_opts};


CREATE TABLE DOCPEDIGREE.ENVELOPETABLE  (
	ENVHANDLER VARCHAR(100) NOT NULL PRIMARY KEY, 
	ENVELOPE CLOB(1G)  NOT NULL,
	STATUS INTEGER NOT NULL,
	TYPE SMALLINT NOT NULL 
	) ${storage_opts};

CREATE TABLE DOCPEDIGREE.DOCENVMAP  (
	DOCHANDLER VARCHAR(100) NOT NULL REFERENCES DOCPEDIGREE.DOCUMENTTABLE ON DELETE CASCADE, 
	ENVHANDLER VARCHAR(100) NOT NULL REFERENCES DOCPEDIGREE.ENVELOPETABLE ON DELETE CASCADE,
	PRIMARY KEY(DOCHANDLER )
	) ${storage_opts};

CREATE TABLE DOCPEDIGREE.FAILEDDOC (
	DOCHANDLER VARCHAR(100) NOT NULL REFERENCES DOCPEDIGREE.DOCUMENTTABLE ON DELETE CASCADE,
	FAILURE CLOB(1048576) NOT NULL 
	) ${storage_opts};

CREATE TABLE DOCPEDIGREE.PEDIGREEUUIDMAP  (
	INNERUUID VARCHAR(100) NOT NULL , 
	OUTERUUID VARCHAR(100) NOT NULL REFERENCES DOCPEDIGREE.DOCUMENTTABLE ON DELETE CASCADE,
	TYPE SMALLINT NOT NULL,
	PRIMARY KEY(INNERUUID, TYPE)
	) ${storage_opts};
	 
COMMIT;
