DROP VIEW "PUBLISH".eped_prodresp_view;
  
CREATE VIEW "PUBLISH".eped_prodresp_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.string_value mdm_operation,
    C.string_value mdm_id, 
    D.string_value mdm_vocab
FROM 
    "PUBLISH".timestamp_prop A, 
    "PUBLISH".string_prop B, 
    "PUBLISH".string_prop C,
    "PUBLISH".string_prop D,
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.obj_type = 'PedigreeProductResponseRecord' AND B.prop_name='MdmOperation' AND
    C.obj_type = 'PedigreeProductResponseRecord' AND C.prop_name='MdmId' AND
    D.obj_type = 'PedigreeProductResponseRecord' AND D.prop_name='MdmVocab' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = C.msg_id AND
    A.msg_id = D.msg_id AND
    M.msg_id = A.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_prodresp_view;


------------
DROP VIEW "PUBLISH".eped_prodreq_view;
  
CREATE VIEW "PUBLISH".eped_prodreq_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.string_value mdm_operation,
    C.string_value epc_list
FROM 
    "PUBLISH".timestamp_prop A, 
    "PUBLISH".string_prop B, 
    "PUBLISH".string_prop C,
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.obj_type = 'PedigreeProductRequestRecord' AND B.prop_name='MdmOperation' AND
    C.obj_type = 'PedigreeProductRequestRecord' AND C.prop_name='Epc' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = C.msg_id AND
    M.msg_id = A.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_prodreq_view;


------------
DROP VIEW "PUBLISH".eped_locreq_view;
  
CREATE VIEW "PUBLISH".eped_locreq_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.string_value mdm_operation,
    C.string_value location
FROM 
    "PUBLISH".timestamp_prop A, 
    "PUBLISH".string_prop B, 
    "PUBLISH".string_prop C,
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.obj_type = 'PedigreeLocationRequestRecord' AND B.prop_name='MdmOperation' AND
    C.obj_type = 'PedigreeLocationRequestRecord' AND C.prop_name='Location' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = C.msg_id AND
    M.msg_id = A.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_locreq_view;


-------------

DROP VIEW "PUBLISH".eped_locresp_view;
  
CREATE VIEW "PUBLISH".eped_locresp_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.string_value mdm_operation,
    C.string_value mdm_id, 
    D.string_value mdm_vocab
FROM 
    "PUBLISH".timestamp_prop A, 
    "PUBLISH".string_prop B, 
    "PUBLISH".string_prop C,
    "PUBLISH".string_prop D,
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.obj_type = 'PedigreeLocationResponseRecord' AND B.prop_name='MdmOperation' AND
    C.obj_type = 'PedigreeLocationResponseRecord' AND C.prop_name='MdmId' AND
    D.obj_type = 'PedigreeLocationResponseRecord' AND D.prop_name='MdmVocab' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = C.msg_id AND
    A.msg_id = D.msg_id AND
    M.msg_id = A.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_locresp_view;


------------
DROP VIEW "PUBLISH".eped_ttypereq_view;
  
CREATE VIEW "PUBLISH".eped_ttypereq_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.string_value ttype_type,
    C.timestamp_value ttype_from,
    D.timestamp_value ttype_to
FROM 
    "PUBLISH".timestamp_prop A, 
    "PUBLISH".string_prop B, 
    "PUBLISH".timestamp_prop C,
    "PUBLISH".timestamp_prop D,    
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.obj_type = 'PedigreeTranTypeRequestRecord' AND B.prop_name='TranType' AND
    C.obj_type = 'PedigreeTranTypeRequestRecord' AND C.prop_name='TranTypeFrom' AND
    D.obj_type = 'PedigreeTranTypeRequestRecord' AND D.prop_name='TranTypeTo' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = C.msg_id AND
    A.msg_id = D.msg_id AND
    A.msg_id = M.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_ttypereq_view;



------------
DROP VIEW "PUBLISH".eped_ttyperesp_view;
  
CREATE VIEW "PUBLISH".eped_ttyperesp_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.string_value ttype_epcs
FROM 
    "PUBLISH".timestamp_prop A, 
    "PUBLISH".string_prop B, 
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.obj_type = 'PedigreeTranTypeResponseRecord' AND B.prop_name='Epcs' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = M.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_ttyperesp_view;


------------
DROP VIEW "PUBLISH".eped_iteminforesp_view;
  
CREATE VIEW "PUBLISH".eped_iteminforesp_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.timestamp_value iinfo_exp,
    C.string_value iinfo_lot,
    D.string_value iinfo_prod,
    E.string_value iinfo_qty,
    F.string_value iinfo_value
FROM 
    "PUBLISH".timestamp_prop A, 
    "PUBLISH".timestamp_prop B, 
    "PUBLISH".string_prop C,
    "PUBLISH".string_prop D,
    "PUBLISH".string_prop E,
    "PUBLISH".string_prop F,
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.obj_type = 'PedigreeInfoResponseRecord' AND B.prop_name='Expiration' AND
    C.obj_type = 'PedigreeInfoResponseRecord' AND C.prop_name='InfoLot' AND
    D.obj_type = 'PedigreeInfoResponseRecord' AND D.prop_name='PedInfoProduct' AND
    E.obj_type = 'PedigreeInfoResponseRecord' AND E.prop_name='PedInfoQuantity' AND
    F.obj_type = 'PedigreeInfoResponseRecord' AND F.prop_name='PedInfoValue' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = C.msg_id AND
    A.msg_id = D.msg_id AND 
    A.msg_id = E.msg_id AND
    A.msg_id = F.msg_id AND 
    A.msg_id = M.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_iteminforesp_view;

------------
DROP VIEW "PUBLISH".eped_epc_view;
  
CREATE VIEW "PUBLISH".eped_epc_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.obj_type obj_type,
    B.string_value epc
FROM 
    "PUBLISH".timestamp_prop A,
    "PUBLISH".string_prop B,
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.prop_name='Epc' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = M.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_epc_view;

------------
DROP VIEW "PUBLISH".eped_epcs_view;
  
CREATE VIEW "PUBLISH".eped_epcs_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.obj_type obj_type,
    B.string_value epcs
FROM 
    "PUBLISH".timestamp_prop A,
    "PUBLISH".string_prop B,
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.prop_name='Epcs' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = M.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_epcs_view;

-------------------
DROP VIEW "PUBLISH".eped_iteminforeq_view;
  
CREATE VIEW "PUBLISH".eped_iteminforeq_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epcs req_epcs
FROM 
	"PUBLISH".eped_epcs_view
WHERE 
	obj_type = 'PedigreeInfoRequestRecord';
	
COMMIT;
	
SELECT * FROM "PUBLISH".eped_iteminforeq_view;

------------

DROP VIEW "PUBLISH".eped_taginforeq_view;
  
CREATE VIEW "PUBLISH".eped_taginforeq_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epcs req_epcs
FROM 
	"PUBLISH".eped_epcs_view
WHERE 
	obj_type = 'PedigreeTagRequestRecord';
	
COMMIT;
	
SELECT * FROM "PUBLISH".eped_taginforeq_view;

----------

DROP VIEW "PUBLISH".eped_taginforesp_view;
  
CREATE VIEW "PUBLISH".eped_taginforesp_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.string_value tag_epc,
    C.string_value tag_value
FROM 
    "PUBLISH".timestamp_prop A, 
    "PUBLISH".string_prop B,
    "PUBLISH".string_prop C,
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.obj_type = 'PedigreeTagResponseRecord' AND B.prop_name='Epc' AND
    C.obj_type = 'PedigreeTagResponseRecord' AND C.prop_name='PedTagValue' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = C.msg_id AND
    A.msg_id = M.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_taginforesp_view;




------------
DROP VIEW "PUBLISH".eped_transidreq_view;
  
CREATE VIEW "PUBLISH".eped_transidreq_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.string_value tran_id
FROM 
    "PUBLISH".timestamp_prop A, 
    "PUBLISH".string_prop B,
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.obj_type = 'PedigreeTranidRequestRecord' AND B.prop_name='TranId' AND
    A.msg_id = B.msg_id AND 
    A.msg_id = M.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_transidreq_view;





------------
DROP VIEW "PUBLISH".eped_transidresp_view;
  
CREATE VIEW "PUBLISH".eped_transidresp_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epcs req_epcs
FROM 
	"PUBLISH".eped_epcs_view
WHERE 
	obj_type = 'PedigreeTranidResponseRecord';
	
COMMIT;

SELECT * FROM "PUBLISH".eped_transidresp_view;



------------
DROP VIEW "PUBLISH".eped_immpreq_view;
  
CREATE VIEW "PUBLISH".eped_immpreq_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epc req_epc
FROM 
	"PUBLISH".eped_epc_view
WHERE 
	obj_type = 'PedigreeImmpRequestRecord';
	
COMMIT;

SELECT * FROM "PUBLISH".eped_immpreq_view;


------------
DROP VIEW "PUBLISH".eped_immpresp_view;
  
CREATE VIEW "PUBLISH".eped_immpresp_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epc resp_epc
FROM 
	"PUBLISH".eped_epc_view
WHERE 
	obj_type = 'PedigreeImmpResponseRecord';
	
COMMIT;

SELECT * FROM "PUBLISH".eped_immpresp_view;



------------
DROP VIEW "PUBLISH".eped_immchreq_view;
  
CREATE VIEW "PUBLISH".eped_immchreq_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epc req_epc
FROM 
	"PUBLISH".eped_epc_view
WHERE 
	obj_type = 'PedigreeImmChRequestRecord';
	
COMMIT;

SELECT * FROM "PUBLISH".eped_immchreq_view;


------------
DROP VIEW "PUBLISH".eped_immchresp_view;
  
CREATE VIEW "PUBLISH".eped_immchresp_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epcs resp_epcs
FROM 
	"PUBLISH".eped_epcs_view
WHERE 
	obj_type = 'PedigreeImmChResponseRecord';
	
COMMIT;

SELECT * FROM "PUBLISH".eped_immchresp_view;



------------
DROP VIEW "PUBLISH".eped_rootpreq_view;
  
CREATE VIEW "PUBLISH".eped_rootpreq_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epc req_epc
FROM 
	"PUBLISH".eped_epc_view
WHERE 
	obj_type = 'PedigreeRootpRequestRecord';
	
COMMIT;

SELECT * FROM "PUBLISH".eped_rootpreq_view;


------------
DROP VIEW "PUBLISH".eped_rootpresp_view;
  
CREATE VIEW "PUBLISH".eped_rootpresp_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epc resp_epc
FROM 
	"PUBLISH".eped_epc_view
WHERE 
	obj_type = 'PedigreeRootpResponseRecord';
	
COMMIT;

SELECT * FROM "PUBLISH".eped_rootpresp_view;



------------
DROP VIEW "PUBLISH".eped_leafchreq_view;
  
CREATE VIEW "PUBLISH".eped_leafchreq_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epc req_epc
FROM 
	"PUBLISH".eped_epc_view
WHERE 
	obj_type = 'PedigreeLeafchRequestRecord';
	
COMMIT;

SELECT * FROM "PUBLISH".eped_leafchreq_view;


------------
DROP VIEW "PUBLISH".eped_leafchresp_view;
  
CREATE VIEW "PUBLISH".eped_leafchresp_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epcs resp_epc
FROM 
	"PUBLISH".eped_epcs_view
WHERE 
	obj_type = 'PedigreeLeafchResponseRecord';
	
COMMIT;

SELECT * FROM "PUBLISH".eped_leafchresp_view;


------------
DROP VIEW "PUBLISH".eped_tranitemsreq_view;
  
CREATE VIEW "PUBLISH".eped_tranitemsreq_view as
SELECT
    M.msg_id msg_id,
    M.corr_id corr_id,
    A.timestamp_value rem_time, 
    B.string_value tran_id,
    C.string_value tran_type
FROM 
    "PUBLISH".timestamp_prop A, 
    "PUBLISH".string_prop B,
    "PUBLISH".string_prop C,    
    "PUBLISH".pub_message M
WHERE 
    A.obj_type = 'system' AND A.prop_name='time' AND
    B.obj_type = 'PedigreeTranItemsRequestRecord' AND B.prop_name='TranId' AND
    C.obj_type = 'PedigreeTranItemsRequestRecord' AND C.prop_name='TranType' AND    
    A.msg_id = B.msg_id AND 
    A.msg_id = C.msg_id AND     
    A.msg_id = M.msg_id AND
    M.pub_domain in (
        SELECT title_id
        FROM "PUBLISH".pub_item_title
        WHERE title_name='http://www.ibm.com/rfidic/sol/epedigree/2.0/audit/domain/simple'
    );

COMMIT;

SELECT * FROM "PUBLISH".eped_tranitemsreq_view;

------------
DROP VIEW "PUBLISH".eped_tranitemsresp_view;
  
CREATE VIEW "PUBLISH".eped_tranitemsresp_view as
SELECT 
	msg_id, 
	corr_id, 
	rem_time, 
	epcs resp_epc
FROM 
	"PUBLISH".eped_epcs_view
WHERE 
	obj_type = 'PedigreeTranItemsResponseRecord';
	
COMMIT;

SELECT * FROM "PUBLISH".eped_tranitemsresp_view;
