#!/bin/sh
############################################################################
# Licensed Materials - Property of IBM
#
# Governed under the terms of the International
# License Agreement for Non-Warranted Sample Code.
#
# (C) COPYRIGHT International Business Machines Corp. 2006
# All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#   Title: executeSQLFile.sh
#   Description: Generic JDBC Client/Tool to execute a SQL file or SQL statement passed to it.
# 	Other information like jdbc url,userid etc to be passed is specified in the usage description below.
#
#
#	USAGE: ./executeSQLFile.sh <db_url> <driverClassName> <dbuser> <password> <sql_file_path/sql_statement> ["-c"]
#   Example 1:- To execute a SQL file
#               ./executeSQLFile.sh jdbc:oracle:thin:@9.184.119.167:1521:tsdb com.ibm.db2.jcc.DB2Driver admin admin123 ./xxx.sql 
#   Example 2:- To execute a single SQL statement
#               ./executeSQLFile.sh jdbc:oracle:thin:@9.184.119.167:1521:tsdb com.ibm.db2.jcc.DB2Driver admin admin123 "drop table xyz" "-c"
#############################################################################

# setup solution environment
#
SCRIPT_DIR=`dirname ${0}`
echo "Going to execute "
if [ -f ${SCRIPT_DIR}/pedigree-env.sh ]; then
	. ${SCRIPT_DIR}/pedigree-env.sh
else
	# "$0 : File not found ${SCRIPT_DIR}/pedigree-env.sh"
	exit -1
fi

java -classpath $CLASSPATH com.ibm.rfidic.pedigree.install.syscheck.SQLFileExecutor $*
