#!/bin/bash
#
# Licensed Materials - Property of IBM
#
# Governed under the terms of the International
# License Agreement for Non-Warranted Sample Code.
#
# (C) COPYRIGHT International Business Machines Corp. 2009
# All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#

cur=`pwd`
path=`dirname $0`
cd $path

# this script is in $TOOLS_HOME/bin, resolve TOOLS_HOME
if [ -z "$TOOLS_HOME" -o ! -d "$TOOLS_HOME" ] ; then
        ## resolve links - $0 may be a link to tools home
        PRG="$0"
        progname=`basename "$0"`

        # need this for relative symlinks
        while [ -h "$PRG" ] ; do
                ls=`ls -ld "$PRG"`
                link=`expr "$ls" : '.*-> \(.*\)$'`
                if expr "$link" : '/.*' > /dev/null; then
                        PRG="$link"
                else
                        PRG=`dirname "$PRG"`"/$link"
                fi
        done
        TOOLS_HOME=`dirname "$PRG"`/..

        # make it fully qualified
        TOOLS_HOME=`cd "$TOOLS_HOME" && pwd`
fi

CP=
cd $TOOLS_HOME/lib
for i in *.jar
do
        CP=$CP:$TOOLS_HOME/lib/$i
done

cd $cur
CP=$CP:$PEDIGREE_HOME/lib/commons-cli-1.0.jar:$PEDIGREE_HOME/lib/commons-codec-1.3.jar:$PEDIGREE_HOME/lib/commons-httpclient-3.0.jar:$PEDIGREE_HOME/lib/commons-logging.jar
java -cp ${CP} -Dscript.home=$path com.ibm.rfidic.tools.ws.SendFileRequest $@

